Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class ExpirationAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.BaseAgent
                      oracle.ifs.core.agents.ExpirationAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class ExpirationAgent

extends BaseAgent

A ExpirationAgent handles Expired Public Objects.

The Agent will directly free the expired Publicobjects.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`static java.lang.String` | `EXPIRECOUNTCUMULATIVE` This property indicates the delete count since the server started.
`static java.lang.String` | `EXPIRECOUNTLASTACTIVATION` This property indicates the delete count in the last activation.
`protected int` | `m_DeletedCumulative` The number of expired PublicObjects this Agent attempted to delete since it was started.
`protected int` | `m_DeletedLastActivation` The number of expired PublicObjects this Agent attempted to delete during its most-recent activation.
`protected int` | `m_ErrorCountThisActivation` The number of errors occuring in the current Activation.

Fields inherited from class oracle.ifs.core.agents.BaseAgent
`ERROR_COUNT_CUMULATIVE, ERROR_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`ExpirationAgent()` Constructs the ExpirationAgent.

Method Summary
`protected void` | `activate()` Deletes undeleted expired PublicObjects.
`void` | `initialize()` Initialize this server.
`void` | `initOnRun()` This is an extensibility point provided by BaseAgent.
`static void` | `main(java.lang.String[] args)` This is used to run the ExpirationAgent in the standalone mode.
`void` | `preRun()` Preforms pre run tasks.
`protected PublicObject[]` | `selectExpiredObjectBatch(int batchSize)` Select the next batch of expired PublicObjects.

Methods inherited from class oracle.ifs.core.agents.BaseAgent
`addToProperty, handleResumeRequest, handleStopRequest, handleSuspendRequest, handleTimerExpired, incrementProperty, isAgent, postRun, publishProperty, run, standardPostRun, supportsSuspendResume`

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPIRECOUNTCUMULATIVE

    public static final java.lang.String EXPIRECOUNTCUMULATIVE

  Description copied from class: `ExpirationAgent`
  This property indicates the delete count since the server started.

  See Also:
    Constant Field Values
  (Published)

### EXPIRECOUNTLASTACTIVATION

    public static final java.lang.String EXPIRECOUNTLASTACTIVATION

  Description copied from class: `ExpirationAgent`
  This property indicates the delete count in the last activation.

  See Also:
    Constant Field Values
  (Published)

### m_DeletedLastActivation

    protected int m_DeletedLastActivation

  Description copied from class: `ExpirationAgent`
  The number of expired PublicObjects this Agent attempted to delete during its most-recent activation.

  (Unpublished)

### m_DeletedCumulative

    protected int m_DeletedCumulative

  Description copied from class: `ExpirationAgent`
  The number of expired PublicObjects this Agent attempted to delete since it was started.

  (Unpublished)

### m_ErrorCountThisActivation

    protected int m_ErrorCountThisActivation

  Description copied from class: `ExpirationAgent`
  The number of errors occuring in the current Activation.

  (Unpublished)

Constructor Detail

### ExpirationAgent

    public ExpirationAgent()
                    throws IfsException

  Constructs the ExpirationAgent.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `ExpirationAgent`
  This is used to run the ExpirationAgent in the standalone mode.

  Parameters:
    `args` - Command-line arguments
  Throws:
    `java.lang.Exception` - if the operation fails

### initOnRun

    public void initOnRun()
                   throws java.lang.Exception

  Description copied from class: `ExpirationAgent`
  This is an extensibility point provided by BaseAgent.

  Overrides:
    `initOnRun` in class `BaseAgent`
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### preRun

    public void preRun()
                throws java.lang.Exception

  Description copied from class: `ExpirationAgent`
  Preforms pre run tasks.

  Overrides:
    `preRun` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `ExpirationAgent`
  Initialize this server.

  Overrides:
    `initialize` in class `BaseAgent`
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### activate

    protected void activate()
                     throws IfsException

  Description copied from class: `ExpirationAgent`
  Deletes undeleted expired PublicObjects.

  Overrides:
    `activate` in class `BaseAgent`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### selectExpiredObjectBatch

    protected PublicObject[] selectExpiredObjectBatch(int batchSize)
                                               throws IfsException

  Description copied from class: `ExpirationAgent`
  Select the next batch of expired PublicObjects.

  Parameters:
    `batchSize` - the batch size
  Returns:
    the batch of expired PublicObjects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD